// height_field generation scene : sea water

#version unofficial MegaPov 0.5;
global_settings { assumed_gamma 2.2 hf_gray_16 }
#include "colors.inc"
#include "textures.inc"

#declare t_bw=
 texture{
  pigment{
   bumps
   turbulence 0.1
   lambda 2
   color_map{
    [0 color Gray20]
    [.5 color Gray]
    [1 color Gray20]
   }
  }
  finish{ambient 1 diffuse 0}
  scale 4
  translate <.3,-1.3,0>
 }
 texture{
  pigment{
   wrinkles
   turbulence 0.1
   color_map{
    [0 color Clear]
    [1 color Gray]
   }
  }
  finish{ambient 1 diffuse 0}
  scale 10
 }
 texture{
  pigment{
   gradient y
   cubic_wave
   color_map{
    [0 color Gray10 filter 0.5]
    [1 color Clear]
   }
  }
  finish{ambient 1 diffuse 0}
  scale 8
  translate 12*y
 }

plane{z,0
 texture{t_bw}
 no_shadow
 translate 7*z
}

