// height_field generation scene : sea water

#version unofficial MegaPov 0.5;
global_settings { assumed_gamma 2.2 hf_gray_16 }
#include "colors.inc"
#include "textures.inc"

#declare t_bw=
 texture{
  pigment{
   bumps
   turbulence 0.1
   lambda 2
   color_map{
    [0 color White]
    [.5 color Gray]
    [1 color White]
   }
  }
  finish{ambient 1 diffuse 0}
  scale 4
  translate <.3,-1.3,0>
 }
 texture{
  pigment{
   boxed
   turbulence .2
   lambda 4
   color_map{
    [0 color Gray10]
    [1 color Clear]
   }
  }
  finish{ambient 1 diffuse 0}
  scale <5,4,4>
 }
 texture{
  pigment{
   spherical
   turbulence 0.1
   color_map{
    [0 color Clear]
    [1 color Gray30 filter .5]
   }
  }
  finish{ambient 1 diffuse 0}
  scale 10
 }

plane{z,0
 texture{t_bw}
 no_shadow
 translate 7*z
}

