#macro pizza_box(tap_ang,r_pzz)
#local t_box=
texture{
 pigment{Wheat}
 normal{wrinkles .1}
}
#local t_box_top=
texture{
 pigment{
  image_map{png "im_pizza_top"}
  translate -.5
  scale <22,22,1>
 }
 normal{wrinkles .1}
}
#local t_box_side=
texture{
 pigment{
  image_map{png "im_pizza_side"}
  translate -.5
  scale <22,3,1>
 }
 normal{wrinkles .1}
}
#local rpz=seed(r_pzz);
union{
 union{
  box{-.5,.5 scale <22,.1,22> texture{t_box} translate <0,-1.45,0>}
  box{-.5,.5 scale <22,3,.1> texture{t_box} translate <0,0,-10.95>}
  box{-.5,.5 scale <22,3,.1> texture{t_box_side} translate <0,0, 10.95>}
  box{-.5,.5 scale <.1,3,22> texture{t_box rotate 90*y} translate <-10.95,0,0>}
  box{-.5,.5 scale <.1,3,22> texture{t_box rotate 90*y} translate < 10.95,0,0>}
  texture{
   pigment{
    cylindrical
    turbulence .3
    lambda 4
    color_map{
     [0.0 Clear]
     [0.3 DarkBrown filter 0.6]
     [0.6 Clear]
     [1.0 DarkBrown filter 0.4]
    }
    scale 23
   }
   normal{marble scale 3}
   translate 12*rand(rpz)*y
  }
 }
 union{
  box{-.5,.5 scale <22,.1,22> texture{t_box_top rotate 90*x} translate <0,1.45,0>}
  box{-.5,.5 scale <22,3,.1> texture{t_box_side} translate <0,0,-10.95>}
//  box{-.5,.5 scale <22,3,.1> texture{t_box_side} translate <0,0, 10.95>}
  box{-.5,.5 scale <.1,3,22> texture{t_box_side rotate 90*y} translate <-10.95,0,0>}
  box{-.5,.5 scale <.1,3,22> texture{t_box_side rotate -90*y} translate < 10.95,0,0>}
  scale 1.02
  texture{
   pigment{
    cylindrical
    turbulence .3
    lambda 4
    color_map{
     [0.0 Clear]
     [0.3 DarkBrown filter 0.8]
     [0.6 Clear]
     [1.0 DarkBrown filter 0.6]
    }
    scale 23
   }
   normal{marble scale 3}
   translate 12*rand(rpz)*y
  }
  translate <0,-1.5,-11>
  rotate tap_ang*x
  translate <0,1.6,11>
 }
}
#end
