#version unofficial MegaPov 0.5;

#macro sofa(ancho_base,hondo_base,alto_base,grosor,alto_pata,radio_pata,tapizado1)

// --- almohadon asiento ---
#local almoh_asi=
blob{threshold .8
 cylinder{<-1,-0.25,-1>,<-1,-0.25, 1>,1,1}
 cylinder{<-1,-0.25, 1>,< 1,-0.25, 1>,1,1}
 cylinder{< 1,-0.25, 1>,< 1,-0.25,-1>,1,1}
 cylinder{< 1,-0.25,-1>,<-1,-0.25,-1>,1,1}
 cylinder{<0,-0.25,-1>,<0,-0.25,1>,1,1}
 cylinder{<-1,-0.25,0>,<1,-0.25,0>,1,1}
 sphere{<-1.25,-0.25,-1.25>,.5,1}
 sphere{< 1.25,-0.25,-1.25>,.5,1}
 cylinder{<-1,0.25,-1>,<-1,0.25, 1>,1,1}
 cylinder{<-1,0.25, 1>,< 1,0.25, 1>,1,1}
 cylinder{< 1,0.25, 1>,< 1,0.25,-1>,1,1}
 cylinder{<0,0.25,-1>,<0,0.25,1>,1,1}
 cylinder{<-1,0.25,0>,<1,0.25,0>,1,1}
 sphere{<0,1,.5>,1,-1}
 sphere{<0,1,0>,1,-1}
 scale .6
 scale <ancho_base/2-grosor/2,grosor,hondo_base*.42>
 texture{tapizado1}
 translate <0,alto_pata*3+grosor/2+grosor/3,-grosor/2>
}
// --- base ---
#local base=
union{
 superellipsoid{<0.2,0.2>
  scale <ancho_base*.49,grosor/2,hondo_base/2>
  scale 1.1
  texture{tapizado1 translate 100}
  translate <0,alto_pata*3,0>
 }
 superellipsoid{<0.2,0.2>
  scale <(ancho_base/2)-(grosor/2),grosor/2,hondo_base/2>
  scale 1.1
  texture{tapizado1 rotate 90*x}
  rotate 100*x
  translate <0,alto_pata*3+(alto_base/2)-(grosor/2),(hondo_base/2)>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/3,grosor+grosor/6,hondo_base/2>
  scale 1.1
  texture{tapizado1 translate 200}
  translate <-(ancho_base/2)+grosor/6,alto_pata*5.5,0>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/3,grosor+grosor/6,hondo_base/2>
  scale 1.1
  texture{tapizado1 translate 300}
  translate <(ancho_base/2)-grosor/6,alto_pata*5.5,0>
 }
}
// --- patas ---
#local patas=
union{
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <-(ancho_base/2)+radio_pata,0,-(hondo_base/2)+radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <-(ancho_base/2)+radio_pata,0,(hondo_base/2)-radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <(ancho_base/2)-radio_pata,0,-(hondo_base/2)+radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <(ancho_base/2)-radio_pata,0,(hondo_base/2)-radio_pata>
 }
 texture{Polished_Chrome}
}
// --- MONTAJE ---
union{
 object{almoh_asi}
 object{base}
 object{patas}
}

#end // macro sofa()


// basic tile
#declare tela_base=
texture{
 pigment{
  image_map{
   png "im_tapizad3"
  }
  translate -.5
  rotate 90*x}
 scale 10
}
texture{
 pigment{
  bozo
  turbulence .5
  lambda 3
  color_map{
   [0.0 Clear]
   [0.4 Clear]
   [0.5 DarkBrown filter 0.6]
   [0.7 Clear]
   [1.0 DarkBrown filter 0.2]
  }
  scale 8
 }
 normal{
  bozo
  turbulence .5
  lambda 3
  scale 8
 }
}
// sloped tile
#declare tela=
texture{
 slope y
 texture_map{
  [0.0 tela_base]
  [0.5 tela_base rotate 90*x]
  [1.0 tela_base]
 }
}
// double sloped tile
#declare tapizado=
texture{
 slope z
 texture_map{
  [0.0 tela rotate 0*y]
  [0.5 tela rotate 90*y]
  [1.0 tela rotate 0*y]
 }
}
#declare sofa01=
object{
 sofa(60,50,64,15,4,2,
 texture{tapizado translate 116})
}
