#declare grass_texture=
texture{
 pigment{
  bozo
  turbulence 0.5
  color_map{
   [0.0 ForestGreen]
   [0.2 DarkTan]
   [0.8 DarkBrown]
   [1.0 DkGreenCopper]
  }
 }
 normal{granite 4 turbulence .2 scale .25}
 scale 10
}
#declare plant_pot=
union{
 union{
  intersection{
   difference{
    cylinder{<0,-8,0>,<0,8,0>,20}
    torus{20,8}
   }
   plane{y,0 inverse}
   plane{y,5.5 }
   scale 2
   translate 1.9*y
  }
  torus{24,1 translate 1*y}
  torus{28,1 translate 14*y}
  texture{
   pigment{SeaGreen}
   normal{bumps .1 scale <1,2,1>}
   finish{Phong_Shiny reflection .1}
  }
 }
 height_field{
  png "hf_terr"
  water_level 0.1
  translate -.5
  scale <54,5,54>
  texture{grass_texture scale .1}
  translate 17*y
 }
 scale <.4,1.1,.4>
}
#declare num_leaves=20;
#declare cnt_leaves=0;
#declare rp=seed(89);
#declare min_height=20;
#declare max_height=20;
#declare medium_radius=1;
#declare base_radius=5;
#declare t_verde=
texture{
 pigment{
  GreenCopper*.125+DarkGreen*.5+Green*.2
 }
 normal{bumps}
 finish{Shiny reflection .1}
}
#declare hierbajos=
union{
 #while (cnt_leaves<num_leaves)
  #include "h_leaf.inc"
  #if (cnt_leaves>1)
  object{leaf
   scale (1.5-(cnt_leaves/num_leaves))
   rotate (180*rand(rp))*y
   texture{t_verde}
   translate (cnt_leaves*max_height/num_leaves)*y
  }
  #include "h_leaf.inc"
  object{leaf
   scale (1.5-(cnt_leaves/num_leaves))
   rotate -(180*rand(rp))*y
   texture{t_verde}
   translate (cnt_leaves*max_height/num_leaves)*y
  }
  #end
  cylinder{<0,0,0>,<0,((cnt_leaves+1)*max_height/num_leaves),0>,.1*(1.5-((cnt_leaves+1)/num_leaves))
   texture{pigment{Tan}}
  }
  #declare cnt_leaves=cnt_leaves+1;
 #end
}
