//#version unofficial megaPOV 0.5;
#declare t_dirt=
texture{
 pigment{
  granite
  turbulence .3
  lambda 3
  color_map{
   [0.0 Clear]
   [0.4 Clear]
   [0.4 Flesh]
   [0.5 Flesh]
   [0.5 Clear]
   [1.0 Clear]
  }
 }
 normal{
  granite -1
  turbulence .3
  lambda 3
 }
 scale 1
}
texture{
 pigment{
  bumps
  turbulence .3
  lambda 3
  color_map{
   [0.0 Clear]
   [0.5 Clear]
   [0.6 DarkTan filter 0.4]
   [0.8 Clear]
   [1.0 DarkTan filter 0.6]
  }
 }
 scale .5
}
#declare t_wall=
texture{
 pigment{White}
 normal{granite}
 finish{Phong_Dull reflection .05}
}
texture{t_dirt}
#declare t_paper1=
texture{
 pigment{
  image_map{
   png "im_papel"
  }
//   translate -.5
 }
 normal{granite .2 scale .1}
}
texture{t_dirt}
#declare t_paper2=
texture{
 pigment{
  image_map{
   png "im_papel"
  }
//  translate -.5
 }
 normal{granite .2 scale .1}
 translate .01*y
}
texture{t_dirt}
#declare t_wallpapper=
texture{
 checker
 texture{t_paper1}
 texture{t_paper2}
 scale 60
 translate 5*x
}
#declare t_floor=
texture{
 pigment{
 checker color Gray60 color Gray10 scale 25 translate 50*z}
}
texture{t_dirt}
#declare room=
union{
 // tv room
 difference{
  difference{
   box{-.5,.5 scale 1.1}
   box{-.5,.5}
   scale <r_w,r_h,r_d>
  }
  // door hole
  box{<-54,-r_h*.5+1,r_d*.4>,<50,-r_h*.5+190,r_d*.6> translate 120*x}
  // shocket hole
  box{<-3,-r_h*.5+13.5,r_d*.4>,<3,-r_h*.5+26,r_d*.6> translate 40*x}
  hollow
  texture{t_wallpapper}
  translate <0,r_h*.5,0>
 }
 // room ceil
 box{-.5,.5
  hollow
  scale <r_w,1,r_d>
  texture{t_wall}
  translate r_h*y
 }
 // hall
 difference{
  difference{
   box{-.5,.5 scale 1.1}
   box{-.5,.5}
   hollow
   scale <120,r_h,r_d>
  }
  box{<-54,-r_h*.5+1,-r_d*.4>,<50,-r_h*.5+190,-r_d*.6>}
  texture{t_wall} //papper2}
  translate <120,r_h*.5,r_d*1.1>
 }
 // hall floor
 box{
  -.5,.5
  scale 1.1
  scale <120,1,r_d>
  texture{t_floor translate 5*x}
  translate <120,.5,r_d*1.1>
 }
 box{
  <-1,0,0>,<1,10,1000>
  texture{T_Wood8 scale 12 rotate 90*y}
  translate <60,0,r_d*.51>
 }
}

#declare t_room_floor=
texture{
//T_Grnt23 scale 190
 T_Stone33 scale 8
 finish{reflection .1}
}
#declare r_tile=seed(834);
#declare tile_w=25;
#declare tile_h=25;
#declare tile_d=1;
#declare cnt_w=1;
#declare room_floor=
union{
 #while (cnt_w<=18)
  #declare cnt_h=1;
  #while (cnt_h<=12)
   superellipsoid{
    <.1,.1>
    rotate 90*x
    scale .5
    scale <tile_w,tile_d,tile_h>
    texture{t_room_floor translate 1000*rand(r_tile)}
    texture{
     pigment{
      boxed
      turbulence .1
      lambda 3
      color_map{
       [0.0 Flesh*.5+Gray10]
       [0.05 Tan filter 0.7]
       [0.9 Clear]
       [1.0 Clear]
      }
      scale .5
      scale <tile_w,tile_d*2,tile_h>
     }
    }
    translate <(cnt_w-1)*tile_w,0,(cnt_h-1)*tile_h>
   }
   #declare cnt_h=cnt_h+1;
  #end
  #declare cnt_w=cnt_w+1;
 #end
 translate <-9*tile_w,0,-4.5*tile_h>
}

#declare tile_w=25;
#declare tile_h=5;
#declare tile_d=1;
#declare cnt_w=1;
#declare rodapies=
union{
 #while (cnt_w<=13)
  #declare cnt_h=1;
  #while (cnt_h<=1)
   superellipsoid{
    <.1,.1>
    rotate 90*x
    scale .5
    #if (cnt_w=13)
     scale <5,tile_d,tile_h>
    #else
     scale <tile_w,tile_d,tile_h>
    #end
    texture{t_room_floor translate 1000*rand(r_tile)}
    texture{
     pigment{
      boxed
      turbulence .1
      lambda 3
      color_map{
       [0.0 DarkBrown filter 0.5]
       [0.9 Clear]
       [1.0 Clear]
      }
      scale .5
      scale <tile_w,tile_d*2,tile_h>
     }
    }
    translate <(cnt_w-1)*tile_w,0,(cnt_h-1)*tile_h>
    #if (cnt_w=13)
     translate (-tile_w*.5+2.5)*x
    #end
   }
   #declare cnt_h=cnt_h+1;
  #end
  #declare cnt_w=cnt_w+1;
 #end
 rotate -90*x
 translate <-9*tile_w,tile_h*.5,-tile_d*.5>
}


#declare t_door_wood=
texture{
 T_Wood1
 normal{wood scale <1,10,1> scale .1}
 rotate 90*x
 scale 8
}
texture{
 pigment{DarkBrown filter 0.8}
 normal{wood scale <1,10,1> scale .1}
 finish{Phong_Shiny reflection .1}
 scale 8
}
#declare puerta=
union{
 union{
  intersection{
   superellipsoid{<.1,.1>
    rotate 90*x
    scale <.5,.7,.5>
   }
   plane{y,-.5 inverse}
   plane{y,.5}
   scale <100,189,6>
   translate (190*.5+1)*y
   texture{t_door_wood}
  }
  union{
   box{<-.1,-2.5,-1.5>,<.1,2.5,1.5>}
   intersection{
    box{<-1,-.75,-1>,<.1,.75,1>}
    plane{x,0 hollow inverse rotate -45*y }
   }
   texture{Bronze_Metal}
   translate <-50,70,0>
  }
  // handle
  union{
   cylinder{<0,0,-.5>,<0,0,.5>,2.5}
   cylinder{<0,0,-.5>,<0,0,-3>,1}
   cone{<0,0,1>,1,<0,0,3>,2}
   sphere{0,2 translate -3*z}
   texture{Bronze_Metal}
   translate <-46,70,-2.5>
  }
  translate -50*x
  rotate -25*y
  translate 50*x
 }
 box{
  <-55,0,-3>,<-50,190,2>
  texture{t_door_wood}
 }
 box{
  <-51,0,-3>,<-50,190,10>
  texture{t_door_wood rotate 90*y}
 }
}
